Get Time Trackers Balance
Get Time Tracker balances. Note: for Time Trackers with "first to expire" deduction order, use wsdlGetFirstToExpireTimeTrackersBalance.
Request
API key of the unit.
Array of timeTracker records identifying which balances to fetch.
A single input row for fetching a time-tracker balance.
Badge number identifying the employee. Required if userId is not provided.
Quinyx internal id of the user. Required if badgeNo is not provided.
Id of the time tracker.
Period (year) for periodized time trackers. Required when the tracker is periodized.
Date at which the balance should be calculated. Defaults to today.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/wsdlGetTimeTrackersBalance"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetTimeTrackersBalance>
<apiKey xsi:type="xsd:string">string</apiKey>
<timeTrackers xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:ttBalanceItem[1]">
<item xsi:type="tns:ttBalanceItem">
<badgeNo xsi:type="xsd:string">1121</badgeNo>
<userId xsi:type="xsd:int">56781</userId>
<timeTrackerId xsi:type="xsd:int">1442</timeTrackerId>
<period xsi:type="xsd:int">2017</period>
<date xsi:type="xsd:string">2017-01-01</date>
</item>
</timeTrackers>
</tns:wsdlGetTimeTrackersBalance>
</soap:Body>
</soap:Envelope>
EOFResponse
A ttBalanceResult wrapping the resolved balances.
A single time-tracker balance result row.
Quinyx internal id of the user.
Badge number of the user.
Id of the time tracker.
Period (year) for periodized time trackers.
Calculated balance for the (user, tracker, date) combination.
Date at which the balance was calculated.
Array of validation errors. Empty on success.
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetTimeTrackersBalanceResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:ttBalanceResultItem[1]">
<item xsi:type="tns:ttBalanceResultItem">
<userId xsi:type="xsd:int">0</userId>
<badgeNo xsi:type="xsd:string">string</badgeNo>
<timeTrackerId xsi:type="xsd:int">0</timeTrackerId>
<period xsi:type="xsd:int">0</period>
<balance xsi:type="xsd:decimal">0</balance>
<date xsi:type="xsd:string">string</date>
<validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</validationErrors>
</item>
</return>
</tns:wsdlGetTimeTrackersBalanceResponse>
</soap:Body>
</soap:Envelope>Change log
| Date | Description |
|---|---|
| 2017-10-10 | Imported old documentation. Added period optional parameter, for periodized time trackers. |